/// <reference types="node" />
import { StompFrameLayer } from "./frame";
import { StompFrame } from "./model";
export interface HeartbeatOptions {
    outgoingPeriod: number;
    incomingPeriod: number;
}
export declare class Heartbeat {
    private readonly frameLayer;
    static defaultOptions: HeartbeatOptions;
    options: HeartbeatOptions;
    optionsString: string;
    incomingPeriod?: number;
    outgoingPeriod?: number;
    lastIncoming: number;
    incomingTimer: NodeJS.Timer | null;
    outgoingTimer: NodeJS.Timer | null;
    constructor(frameLayer: StompFrameLayer, options?: HeartbeatOptions);
    onData(data: string): void;
    onFrame(frame: StompFrame): void;
    init(heartbeat: string): void;
    setupOutgoingTimer(): void;
    resetupOutgoingTimer(): void;
    releaseTimer(timer: NodeJS.Timer | null): void;
    releaseTimers(): void;
    setupIncomingTimer(): void;
}
