/// <reference types="node" />
import { StompServerCommandListener, StompClientCommandListener } from './protocol';
import { StompServerSessionLayer, StompClientSessionLayer, StompClientCommandListenerConstructor, StompServerCommandListenerConstructor } from './session';
import { WebSocket } from './utils';
import { StompConfig } from './model';
import { Socket } from 'net';
export { StompServerSessionLayer, StompClientSessionLayer };
export * from './protocol';
export * from './model';
export { setLoggingListeners, LoggerFunction, StompProtocolLoggingListeners } from './utils';
export declare function createStompServerSession(socket: Socket | WebSocket, listener: StompClientCommandListenerConstructor | StompClientCommandListener, config?: StompConfig): StompServerSessionLayer;
export declare function createStompClientSession(socket: Socket | WebSocket, listener: StompServerCommandListenerConstructor | StompServerCommandListener, config?: StompConfig): StompClientSessionLayer;
