"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("./stream");
const session_1 = require("./session");
exports.StompServerSessionLayer = session_1.StompServerSessionLayer;
exports.StompClientSessionLayer = session_1.StompClientSessionLayer;
const frame_1 = require("./frame");
__export(require("./protocol"));
__export(require("./model"));
var utils_1 = require("./utils");
exports.setLoggingListeners = utils_1.setLoggingListeners;
function createStompServerSession(socket, listener, config) {
    const streamLayer = stream_1.openStream(socket);
    const frameLayer = new frame_1.StompFrameLayer(streamLayer, config);
    frameLayer.headerFilter = config && config.headersFilter || frameLayer.headerFilter;
    return new session_1.StompServerSessionLayer(frameLayer, listener);
}
exports.createStompServerSession = createStompServerSession;
function createStompClientSession(socket, listener, config) {
    const streamLayer = stream_1.openStream(socket);
    const frameLayer = new frame_1.StompFrameLayer(streamLayer, config);
    frameLayer.headerFilter = config && config.headersFilter || frameLayer.headerFilter;
    return new session_1.StompClientSessionLayer(frameLayer, listener);
}
exports.createStompClientSession = createStompClientSession;
