"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
let loggingListeners = null;
function promiseRejectionHandler(className, functionName) {
    const location = `${className}: promise rejection in '${functionName}'`;
    return (e) => exports.log.debug(location, e);
}
exports.promiseRejectionHandler = promiseRejectionHandler;
function setLoggingListeners(listeners) {
    loggingListeners = listeners;
}
exports.setLoggingListeners = setLoggingListeners;
function noop() { }
class Logging {
    get error() {
        return loggingListeners ? loggingListeners.error : noop;
    }
    get warn() {
        return loggingListeners ? loggingListeners.warn : noop;
    }
    get info() {
        return loggingListeners ? loggingListeners.info : noop;
    }
    get debug() {
        return loggingListeners ? loggingListeners.debug : noop;
    }
    get silly() {
        return loggingListeners ? loggingListeners.silly : noop;
    }
}
exports.log = new Logging();
