import { StompFrame, StompSessionData } from './model';
export declare type StompValidator = (frame: StompFrame, sessionData?: StompSessionData) => StompValidationResult;
export interface StompValidationResult {
    isValid: boolean;
    message?: string;
    details?: string;
}
export declare function requireHeader(headerName: string): (frame: StompFrame) => StompValidationResult;
export declare function requireOneHeader(...headerNames: string[]): (frame: StompFrame) => StompValidationResult;
export declare function requireAllHeaders(...headerNames: string[]): (frame: StompFrame) => StompValidationResult;
export declare function headerMatchesRegex(headerName: string, regex: RegExp): (frame: StompFrame) => StompValidationResult;
